using Prism.Mvvm;
using Prism.Regions;
using Prism.Services.Dialogs;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Media;

namespace PDF_Office.ViewModels.Form
{
    public class EditPresetColorsDialogViewModel : BindableBase, IDialogAware
    {
        private SolidColorBrush _borderColor;
        public SolidColorBrush BorderColor
        {
            get { return _borderColor; }
            set { SetProperty(ref _borderColor, value); }
        }

        private SolidColorBrush _fontColor;
        public SolidColorBrush FontColor
        {
            get { return _fontColor; }
            set { SetProperty(ref _fontColor, value); }
        }


        private SolidColorBrush _fillColor;
        public SolidColorBrush FillColor
        {
            get { return _fillColor; }
            set { SetProperty(ref _fillColor, value); }
        }
        public EditPresetColorsDialogViewModel()
        {
            BorderColor = new SolidColorBrush(Colors.Transparent);
            FontColor = new SolidColorBrush(Color.FromArgb(0xFF, 0x00, 0x00, 0x00));
            FillColor = new SolidColorBrush(Color.FromArgb(0xFF, 0x00, 0x00, 0x00));
        }

        public string Title => "";

        public event Action<IDialogResult> RequestClose;

        public bool CanCloseDialog()
        {
            return true;
        }


        #region Navegation
        public bool IsNavigationTarget(NavigationContext navigationContext)
        {
            return true;
        }

        public void OnDialogClosed()
        {
            return;
        }

        public void OnDialogOpened(IDialogParameters parameters)
        {
            return;
        }

        public void OnNavigatedFrom(NavigationContext navigationContext)
        {
            
        }

        public void OnNavigatedTo(NavigationContext navigationContext)
        {
           
        }

        #endregion

    }
}
